# GET: /governance/proposal\_vote\_receipts

**ProposalVoteReceiptRequest**

The request to the Proposal Vote Receipt API can specify a number of filters, such as which id to retrieve information about or which account.

| Type   | Key                  | Description                                                                                                                                                                                                       |
| ------ | -------------------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| uint32 | `proposal_id`        | A proposal id to filter on, e.g.?proposal\_id=23                                                                                                                                                                  |
| bytes  | `account`            | Filter for proposals receipts for the given account                                                                                                                                                               |
| bool   | `support`            | <p>Filter for proposals receipts by for votes withsupport=true</p><p>or against votes withsupport=false</p><p>. If support not specified, response will return paginated votes for both for and against votes</p> |
| bool   | `with_proposal_data` | <p>Will populate a proposal object on the vote receipt when request submitted withwith\_proposal\_data=true</p><p>, default is false</p>                                                                          |
| uint32 | `limit`              | Number of proposal vote receipts to include in the response, default is 100                                                                                                                                       |
| uint32 | `offset`             | Pagination number for proposal vote receipts in the response, default is 0                                                                                                                                        |

**ProposalVoteReceiptResponse**

The Proposal Vote Receipt API returns a list of proposal vote receipts that match the given filters on the request

| Type                    | Key      | Description                                                       |
| ----------------------- | -------- | ----------------------------------------------------------------- |
| bool                    | `status` | If set false, indicates an error returning data.                  |
| ProposalVoteReceiptData | `data`   | The list of proposal vote receipts matching the requested filter. |

**ProposalVoteReceiptData**

| Type                | Key      | Description                                                      |
| ------------------- | -------- | ---------------------------------------------------------------- |
| uint32              | `offset` | Offset of pagination                                             |
| uint32              | `limit`  | Limit of pagination                                              |
| uint32              | `total`  | Total count of matching data                                     |
| ProposalVoteReceipt | `result` | The list of proposal vote receipts matching the requested filter |

**ProposalVoteReceipt**

| Type   | Key              | Description                                    |
| ------ | ---------------- | ---------------------------------------------- |
| uuid   | `id`             | Unique id for looking up a voteReceipt         |
| string | `address`        | The address that describes the proposer        |
| bool   | `hasVoted`       | Flag that indicates voted                      |
| bool   | `support`        | Whether or not the voter supports the proposal |
| uint32 | `blockNumber`    | Voted block number                             |
| uint32 | `blockTimestamp` | Voted block timestamp                          |
| string | `votes`          | The number of votes cast by the voter          |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.belugas.io/api/governanceservice/get-governance-proposal_vote_receipts.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
